Package org.codehaus.groovy.antlr.java

# Class Java2GroovyProcessor

java.lang.Object
org.codehaus.groovy.antlr.java.Java2GroovyProcessor

public class Java2GroovyProcessor extends Object

## Constructor Summary

Constructors
Constructor
Description
`Java2GroovyProcessor()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`convert(String filename, String input)`
`static String`
`convert(String filename, String input, boolean withHeader, boolean withNewLines)`
`static String`
`mindmap(String input)`
`static String`
`nodePrinter(String input)`
`static void`
`processFiles(List<String> fileNames)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Java2GroovyProcessor

public Java2GroovyProcessor()

## Method Details

### processFiles

public static void processFiles(List<String> fileNames) throws Exception

Throws:
  `Exception`

### convert

public static String convert(String filename, String input) throws Exception

Throws:
  `Exception`

### convert

public static String convert(String filename, String input, boolean withHeader, boolean withNewLines) throws Exception

Throws:
  `Exception`

### mindmap

public static String mindmap(String input) throws Exception

Throws:
  `Exception`

### nodePrinter

public static String nodePrinter(String input) throws Exception

Throws:
  `Exception`